Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 06 Dec 2022 16:48:04 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I placed my 12th online order and received sms notification that it's shipped and out for delivery Order #9404413564;  Courier Tracking # FC120522003658.
The courier called and asked for my location which I provided through whatsapp location map.

Then later, suddenly another sms message came informing that:
"Hi, We were unable to deliver your order 9404413564 on 2022-12-06 13:57:50, reason: Order rejected by customer."

This is simply my worst online purchase experience in UAE ever. Very bad courier service. I was shocked by the incompetence and unprofessionalism of Centrepoint courier service.
It's not my first order addressed to where I reside in Al Ain, previously all my orders were delivered.
However, this one was not even delivered and yet the courier blame me as a customer because I rejected the delivery? Where is the proof I rejected my order? It's not even delivered!

Centrepoint should use professional courier service to deliver its products to the customers otherwise people will stop buying online from Centrepoint because of bad courier service.
Simply unbelievable. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5421849